package domain

type AlibabaWdkCouponTemplateQueryUserInfo struct {
	/*
	   用户id     */
	UserId *int64 `json:"user_id,omitempty" `

	/*
	   来源     */
	Source *string `json:"source,omitempty" `

	/*
	   用户名称     */
	UserName *string `json:"user_name,omitempty" `
}

func (s *AlibabaWdkCouponTemplateQueryUserInfo) SetUserId(v int64) *AlibabaWdkCouponTemplateQueryUserInfo {
	s.UserId = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryUserInfo) SetSource(v string) *AlibabaWdkCouponTemplateQueryUserInfo {
	s.Source = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryUserInfo) SetUserName(v string) *AlibabaWdkCouponTemplateQueryUserInfo {
	s.UserName = &v
	return s
}
